import * as $dara from '@darabonba/typescript';
import { GetClusterCheckSummaryResponseBody } from "./GetClusterCheckSummaryResponseBody";
export declare class GetClusterCheckSummaryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetClusterCheckSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
